Get Application Test Case Output
curl --request GET \
--url https://api.egp.scale.com/v4/application-test-case-outputs/{application_test_case_output_id}import requests
url = "https://api.egp.scale.com/v4/application-test-case-outputs/{application_test_case_output_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.egp.scale.com/v4/application-test-case-outputs/{application_test_case_output_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"application_variant_id": "<string>",
"evaluation_dataset_id": "<string>",
"test_case_id": "<string>",
"output": {
"generation_output": "<string>",
"generation_extra_info": {
"chunks": [
{
"text": "<string>",
"metadata": {}
}
],
"schema_type": "CHUNKS"
}
},
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"account_id": "<string>",
"interaction": {
"id": "<string>",
"input": {},
"output": {},
"aggregated": true,
"application_spec_id": "<string>",
"application_variant_id": "<string>",
"start_timestamp": "2023-11-07T05:31:56Z",
"duration_ms": 123,
"operation_status": "SUCCESS",
"created_at": "2023-11-07T05:31:56Z",
"operation_metadata": {},
"models": [
"<string>"
],
"chat_thread_id": "<string>",
"interaction_source": "EXTERNAL_AI",
"trace_spans": [
{
"id": "<string>",
"node_id": "<string>",
"operation_type": "TEXT_INPUT",
"operation_status": "SUCCESS",
"operation_input": {},
"operation_output": {},
"start_timestamp": "2023-11-07T05:31:56Z",
"duration_ms": 123,
"application_interaction_id": "<string>",
"application_variant_id": "<string>",
"operation_expected": {},
"operation_metadata": {},
"end_timestamp": "2023-11-07T05:31:56Z",
"trace_id": "<string>",
"parent_id": "<string>",
"group_id": "<string>",
"account_id": "<string>",
"created_by_user_id": "<string>",
"created_by_identity_type": "user"
}
]
},
"test_case_version": {
"evaluation_dataset_id": "<string>",
"test_case_data": {
"input": "<string>",
"artifact_ids_filter": [
"<string>"
],
"expected_output": "<string>",
"expected_extra_info": {
"chunks": [
{
"text": "<string>",
"metadata": {}
}
],
"schema_type": "CHUNKS"
}
},
"autogenerated": true,
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"account_id": "<string>",
"created_by_user_id": "<string>",
"created_by_identity_type": "user",
"schema_type": "GENERATION",
"chat_history": {},
"test_case_metadata": {},
"invalidated_at": "2023-11-07T05:31:56Z",
"archived_at": "2023-11-07T05:31:56Z"
},
"metric_scores": [
{
"metric_type": "answer-correctness",
"category": "accuracy",
"score": 123,
"llm_metadata": {
"reasoning": "<string>",
"logging": {},
"time_elapsed_s": 123,
"usage": [
{
"prompt_tokens": 123,
"completion_tokens": 123,
"cost": 123,
"model": "gpt-4-turbo-2024-04-09"
}
]
}
}
],
"schema_type": "GENERATION",
"application_interaction_id": "<string>",
"application_test_case_output_group_id": "<string>",
"metrics": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Applications
Get Application Test Case Output
Description
Gets the details of a application test case output
Details
This API can be used to get information about a single application test case output by ID. To use this API, pass in the id that was returned from your Create Application Test Case Output API call as a path parameter.
Review the response schema to see the fields that will be returned.
GET
/
v4
/
application-test-case-outputs
/
{application_test_case_output_id}
Get Application Test Case Output
Path Parameters
Query Parameters
Available options:
MetricScores, TestCaseVersion, Trace Response
Successful Response
- ApplicationTestCaseGenerationOutputResponseWithViews
- ApplicationTestCaseFlexibleOutputResponseWithViews
Show child attributes
Show child attributes
The unique identifier of the entity.
The date and time when the entity was created in ISO format.
The ID of the account that owns the given entity.
Show child attributes
Show child attributes
- GenerationTestCaseVersionResponse
- FlexibleTestCaseVersionResponse
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Allowed value:
"GENERATION"Show child attributes
Show child attributes

